Get fundamentals history
curl --request POST \
--url https://api.kanarie.xyz/api/v1/data/fundamentals/history \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metric": "tvl"
}
'const url = 'https://api.kanarie.xyz/api/v1/data/fundamentals/history';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({metric: 'tvl'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.kanarie.xyz/api/v1/data/fundamentals/history"
payload = { "metric": "tvl" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"error": null,
"data_source": "defi_llama",
"data": [
{
"period": "2026-03-20",
"data": {
"aave": 125000000
}
}
],
"metadata": {
"metric": "tvl",
"group_by": "protocol",
"total_periods": 30
}
}{
"error": "Validation failed",
"details": [
"limit must be a number between 1 and 100"
]
}{
"error": "Missing API key. Expected Authorization: Bearer <api-key> or x-kanarie-api-key: <api-key>."
}{
"x402Version": 2,
"error": "Payment required",
"accepts": [
{}
]
}{
"error": "Invalid API key"
}{
"error": "Rate limit exceeded",
"limit": 123,
"plan": "casual",
"window": "15 minutes",
"retryAfter": 900
}{
"error": "Internal server error"
}Data
Get fundamentals history
Retrieve historical fundamentals from DefiLlama. Supports API key auth or x402 fallback.
POST
https://api.kanarie.xyz
/
api
/
v1
/
data
/
fundamentals
/
history
Get fundamentals history
curl --request POST \
--url https://api.kanarie.xyz/api/v1/data/fundamentals/history \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metric": "tvl"
}
'const url = 'https://api.kanarie.xyz/api/v1/data/fundamentals/history';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({metric: 'tvl'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.kanarie.xyz/api/v1/data/fundamentals/history"
payload = { "metric": "tvl" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"error": null,
"data_source": "defi_llama",
"data": [
{
"period": "2026-03-20",
"data": {
"aave": 125000000
}
}
],
"metadata": {
"metric": "tvl",
"group_by": "protocol",
"total_periods": 30
}
}{
"error": "Validation failed",
"details": [
"limit must be a number between 1 and 100"
]
}{
"error": "Missing API key. Expected Authorization: Bearer <api-key> or x-kanarie-api-key: <api-key>."
}{
"x402Version": 2,
"error": "Payment required",
"accepts": [
{}
]
}{
"error": "Invalid API key"
}{
"error": "Rate limit exceeded",
"limit": 123,
"plan": "casual",
"window": "15 minutes",
"retryAfter": 900
}{
"error": "Internal server error"
}Authorizations
bearerAuthkanarieApiKey
Preferred Kanarie API key authentication using Authorization: Bearer .
Body
application/json
Available options:
tvl, fees, revenue, volume Available options:
protocol, chain, category Available options:
daily, weekly, monthly Required range:
1 <= x <= 50Was this page helpful?